Public Generation
POST
apiKeyheader
x-api-key<token>application/json- body
brief?stringLength
length <= 200000artifactType*"one_pager"Value in
"one_pager"pageCount?|Use auto or at least 4 pages for decks and proposals, up to the plan's page limit. A one-pager always generates one page regardless of this setting.
Default
"auto"locale?stringValue in
"en""es""de""uk"research?booleanDefault
falseaudience?stringLength
length <= 300tone?stringLength
length <= 300cta?stringLength
length <= 300onePagerDesign?stringDefault
"auto"Value in
"auto""editorial""bands""modular"style?stringDefault
"classic"Value in
"classic""cinematic"fitToPageCap?booleanDefault
falsetheme?||Default
"auto"Run started.
application/json- response
runId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidprojectPid*stringstatus*"queued"Value in
"queued"curl -X POST "https://example.com/api/public/v1/generation/runs" \ -H "Content-Type: application/json" \ -d '{ "brief": "string", "artifactType": "one_pager" }'{ "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "projectPid": "string", "status": "queued"}GET
apiKeyheader
x-api-key<token>runId*stringFormat
uuidThe run.
application/json- response
id*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidprojectPid*stringstatus*stringValue in
"queued""intake""researching""planning""writing""composing""done""failed""canceled"stage*|Value in
"queued""intake""researching""planning""writing""composing""done""failed""canceled"error*|nulldismissed*booleanmediaStatus*stringValue in
"pending""running""settled""skipped"sceneStatus?|A Cinematic deck's 3D scene still being made, or the pictures drawn in its place.
Value in
"creating""drawing"finishedAt*string|nullseq*integerRange
-9007199254740991 <= value <= 9007199254740991startedAt*string|nullrequest*briefExcerpt*stringintent*|nullplan*|nullreport*link*string|nullcurl -X GET "https://example.com/api/public/v1/generation/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectPid": "string", "status": "queued", "stage": "queued", "error": { "stage": "string", "code": "string" }, "dismissed": true, "mediaStatus": "pending", "sceneStatus": "creating", "finishedAt": "string", "seq": -9007199254740991, "startedAt": "string", "request": { "artifactType": "deck", "pageCount": "auto", "research": true, "theme": "string", "style": "classic", "materials": [ { "fileName": "string" } ] }, "briefExcerpt": "string", "intent": { "purpose": "string", "audience": "string", "tone": "string", "thesis": "string", "locale": "string", "grounding": "string", "theme": "string", "sections": [ { "id": "string", "title": "string", "fidelity": "keep" } ], "researchQueries": -9007199254740991 }, "plan": { "title": "string", "subtitle": "string", "arc": [ { "beat": "string", "role": "string", "pageIds": [ "string" ] } ], "pageCount": -9007199254740991, "pages": [ { "planPageId": "string", "title": "string", "kind": "string", "fidelity": "keep", "status": "pending", "failureCode": "string", "overflow": "string", "splittable": true, "parts": -9007199254740991, "position": -9007199254740991, "shape": "string", "visualType": "string", "section": "string" } ] }, "report": { "grounding": "string", "assumptions": [ "string" ], "unsupported": [ "string" ], "warnings": [ { "code": "string", "file": "string", "fonts": [ { "missing": "string", "standIn": "string", "roles": [ "body" ] } ], "theme": "string" } ], "pageCap": { "requested": -9007199254740991, "cap": -9007199254740991, "note": "string" } }, "link": "string"}POST
apiKeyheader
x-api-key<token>runId*stringFormat
uuidCancel recorded; status is the run's status now.
application/json- response
status*stringcurl -X POST "https://example.com/api/public/v1/generation/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"{ "status": "string"}